/** * Skin Advanced
	* Il presente files regola gli stili CSS della homepage
	* @author Blancks
*/

/** * STILI DEI CONTENUTI DEL SITO */
/** * Skin advanced
	* @author Blancks
*/
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

:root {
  --background: #07080D;
  --backgroundRGB: 7, 8, 13;
  --bgselect: #0a0a0a;
  --bgselectRGB: 10, 10, 10;
  --shadow: #000;
  --bgoutputRGB: 0, 0, 0;
  --accent: #547782;
  --accentRGB: 84, 119, 130;
  --accenthover: #590F0F;
  --accenthoverRGB: 89, 15, 15;
  --accenthoverlight: #801616;
  --accenthoverlightRGB: 128, 22, 22;
  --accentdark: #2E4247;
  --accentdarkRGB: 46, 66, 71;
  --accentlabel: #486C7E;
  --accentlabelRGB: 72, 108, 126;
  --border: #152025;
  --borderRGB: 21, 32, 37;

  /*Cariche Staff*/
  --purpleg: #7E3285;
  --purplegRGB: 126, 50, 33;
  --purplec: #9984D4;
  --purplecRGB: 153, 132, 212;
  --purplem: #9F5EA5;
  --purplemRGB: 159, 95, 165;
  --purples: #DAB6FC;
  --purplesRGB: 218, 182, 152;


  /*Sesso PG*/
  --pinkf: #FF91A4;
  --pinkfRGB: 255, 145, 164;
  --bluem: ;
  --bluemRGB: ;

  --textdark: #444;
  --textdarkRGB: 68, 68, 68;
  --text: #666;
  --textRGB: 102, 102, 102;
  --textmedium: #a1a1a1;
  --textmediumRGB: 136, 136, 136;
  --textlight: #888;
  --textlightRGB: 161, 161, 161;
  --textwhite: #999;

  --fontBody: Source Serif Pro;
  --fontTitle: 'Playfair Display', serif;
  --fontTitleAlt: ;
}

@import url('https://fonts.googleapis.com/css2?family=Amatic+SC:wght@100;700&family=Pompiere&display=swap');

/** * Parametri di default nella pagina
*/
body {
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  color: #7a7a7a;
  font-family: Verdana, Sans;
  font-size: 11px;
  background: var(--background) url("/themes/homepage/advanced/img/vampirebg.jpg") no-repeat;
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  background-blend-mode: difference;
}

body.transparent_body {
  background-color: transparent;
  background-image: none;
}

body.main_body {
  overflow: auto;
}

div,
ul,
li {
  margin: 0;
  padding: 0;
}

.blank {
  clear: both;
}

a {
  color: var(--accent);
  text-decoration: none;
}

a:hover {
  color: var(--accenthover);
}

div.form_field table {
  margin: 5px auto;
}

input,
textarea,
select {
  font-size: 14px;
  padding: 0.2rem 0.3rem;
  color: var(--text);
  background-color: var(--bgselect);
  border: 0.5px solid var(--shadow);
  box-shadow: inset 0 0 8px var(--shadow);
}

select.day,
select.month,
select.year {
  width: 60px;
  display: inline-block;
  font-size: 14px;
  padding: 0.2rem 0.3rem;
  color: var(--textdark);
  background-color: var(--bgselect);
  border: 0.5px solid var(--shadow);
  box-shadow: inset 0 0 8px var(--shadow);
}

input[type='submit'] {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.3rem;
  width: auto;
  text-decoration: none;
  color: var(--textlight);
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0.25), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  color: var(--textlight);
}

input[type='submit']:hover {
  color: var(--accenthover);
}

input[type='submit']:active {
  transform: translateY(2px);
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #2d3034, 0 0 0 4px rgba(0, 0, 0, 0.25), 0 4px 12px -5px rgba(0, 0, 0, 0.53), 0 6px 6px -4px rgba(0, 0, 0, 0.35);
  transition: all 0.25s ease-in-out;
  color: var(--textlight);
}

textarea {
  height: 100px;
}

div.form_label {
  font-size: 13px;
  color: var(--accent);
}

div.form_info {
  margin-bottom: 15px;
  color: var(--text);
  text-align: center;
  line-height: 15px;
}

div.form_info b {
  color: var(--textwhite);
}

div.form_info u {
  text-decoration: none;
  border-bottom: 1px solid var(--accent);
  padding-bottom: 1px;
  margin-bottom: 2px;
}

/** * Stile dei messaggi d'avviso dell'engine */
div.warning,
div.error {
  background-color: var(--background);
  font-size: 12px;
  text-align: center;
  margin: 15px;
  font-weight: bolder;
  padding: 10px;
  border: solid 1px var(--accenthover);
  color: var(--accenthover);
}

div.warning.mysql,
div.error.mysql {
  text-align: left;
  font-weight: normal;
}

div.warning.mysql summary,
div.error.mysql summary {
  margin-top: 1em;
  font-weight: bold;
}

div.link_back {
  text-align: center;
  padding: 2px;
}

/** * Stili dei container
*/
div.container_body {
  width: 100%;
  Height: 100%;
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-rows: 50px 1fr 55px;
  grid-template-areas:
    'navbar framecontentright'
    'area framecontentright'
    'footer framecontentright';
  overflow: auto;
}

.container_body {
  scrollbar-width: none;
  /* Nasconde la scrollbar per Firefox */
  -ms-overflow-style: none;
  /* Nasconde la scrollbar per Internet Explorer e Edge */
}

.container_body::-webkit-scrollbar {
  display: none;
  /* Nasconde la scrollbar per Chrome, Safari e Opera */
}

div.container_1 {
  position: relative;
  grid-area: framecontentright;
  width: 350px;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: end;
  align-items: end;
  background-color: rgba(var(--backgroundRGB), 0.4);
  z-index: 1;
}

div.container_2 {
  position: relative;
  width: 300px;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  background-color: rgba(var(--backgroundRGB), 0.6);
  border-left: 0.5px solid var(--accentdark);
  gap: 15px;
  z-index: 2;
}

div.logo_image {
  margin-top: 45px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  color: var(--accenthover);
  font-size: 35px;
  font-family: var(--fontTitle);
  gap: 15px;
}

span.blood_reich_title {
  text-shadow: 2px 2px 2px #000;
  filter: saturate(90%);
}

div.logo_image img {
  width: 50px;
  filter: drop-shadow(0px 0px 1px rgba(0, 0, 0, 1)) brightness(190%) contrast(150%);
}

/** * Stile per le label dei form
*/
span.form_label {
  text-align: left;
  font-weight: bolder;
}

div.login_form input {
  width: 145px;
  margin: 0;
}

div.login_form input[type=checkbox] {
  width: auto;
  vertical-align: middle;
}

/** * Stile per il bottone del login
*/
div.login_form input[type='submit'] {
  display: block;
  width: 65px;
}

/** * Contenuti principali della pagina
*/

/** * Titolo della sezione */
h2 {
  width: 100%;
  font-size: 14px;
  font-weight: 400;
  border-bottom: 0.5px solid var(--accentdark);
  padding-bottom: 8px;
  text-transform: uppercase;
  text-align: center;
}

div.user_abilita_home {
  padding-top: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

div.page_title_home {
  width: 80%;
}

div.page_body_home {
  width: 100%;
}

/** * Men� di navigazione
*/

div.navbar_home {
  grid-area: navbar;
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  Justify-content: start;
  padding-left: 20px;
  gap: 20px;
  z-index: 100;
}

div.navbar_home::before {
  content: "";
  position: fixed;
  left: 0;
  width: 100%;
  height: 0.5px;
  background-color: var(--accentdark);
  transform: translateY(-50%);
  z-index: 150;
}

div.navbar_home a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
  width: 100px;
  font-size: 13px;
  color: var(--textlight);
  text-decoration: none;
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  z-index: 160;
}

div.navbar_home a:hover {
  color: var(--accenthover);
}



/** FOOTER DESTRO */
div.footer_dx {
  margin-top: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

div.footer_dx a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
  font-size: 13px;
  color: var(--textlight);
  text-decoration: none;
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  z-index: 160;
}

div.footer_dx a:hover {
  color: var(--accenthover);
}

/** Stile utenti online
*/
div.side_modules {
  margin: 0 auto 50px auto;
  padding: 8px 15px;
  background: rgba(var(--backgroundRGB), 0.5);
  border: 0.5px solid var(--accentdark);
  border-radius: 50px;
}

/** * News box */

div.news_brevi_container {
  width: 260px;
  height: 150px;
  display: flex;
  flex-direction: column;
  color: var(--text);
  text-align: justify;
  font-size: 12px;
  overflow: auto;
  gap: 10px;

  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* Internet Explorer/Edge */
}

div.news_brevi_container i {
  color: var(--accent);
}

span.news_brevi_date {
  color: #a1a1a1;
  font-size: 10px;
}

.news_brevi_container::-webkit-scrollbar {
  display: none;
  /* Chrome, Safari, Edge */
}

/** * Login form */
div.logincontent {
  width: 260px;
  display: flex;
  flex-direction: column;
  align-items: center;
  Justify-content: center;
  gap: 40px;
}

div.logincontent div {
  display: flex;
  flex-direction: column;
  align-items: center;
  Justify-content: center;
  gap: 10px;
}

div.pass_rec span {
  color: var(--textlight);
}

div.pass_rec form {
  display: flex;
  flex-direction: column;
  align-items: center;
  Justify-content: center;
  gap: 10px;
}

#do_login {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  Justify-content: center;
  gap: 10px;
}

/** * Recupero password */
#do_login div {
  display: flex;
  flex-direction: column;
  align-items: center;
  Justify-content: center;
}


/** * Footer info */
div.footer {
  grid-area: footer;
  display: inline-block;
  padding: 10px;
  text-align: justify;
}

span.footer_text {
  width: 100%;
  display: flex;
  padding-bottom: 5px;
}

div.footer::after {
  content: "";
  position: fixed;
  display: inherit;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: var(--accentdark);
  transform: translateY(-50%);
  z-index: 150;
}

/** * Struttura corpo contenuti pagina */
div.content_body {
  width: 85%;
  height: 80%;
  margin: auto;
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: rgba(var(--backgroundRGB), 0.9);
  border: 0.5px solid rgba(var(--accentdarkRGB), 0.5);
}

div.disclaimer_iscrizione {
  text-align: justify;
  margin: 30px auto;
}

div.form_gioco {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

div.form_gioco form {
  margin-bottom: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

/** *** Fine stili regolatori del layout *** */



/** *** Iscrizione *** */
fieldset {
  background: var(--background);
  border: 0.5px solid var(--border);
}

legend {
  display: flex;
  flex-direction: column;
  font-family: var(--fontTitle);
  font-size: 14px;
  color: var(--accent);
}

fieldset span {
  text-transform: uppercase;
  letter-spacing: 1px;
}

fieldset div {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}